#
# spec file for package birdie
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           birdie
Version:        1.1
Release:        1.1
Summary:        A native Twitter client
License:        GPL-3.0
Group:          Productivity/Networking/Other
Url:            http://www.birdieapp.eu/
Source:         https://github.com/birdieapp/birdie/archive/1.1.tar.gz
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  intltool
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(libcanberra)
BuildRequires:  pkgconfig(gee-1.0)
BuildRequires:  pkgconfig(purple)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(vapigen) >= 0.22.1
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtksourceview-3.0)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(rest-0.7)
BuildRequires:  pkgconfig(webkitgtk-3.0)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  update-desktop-files
%glib2_gsettings_schema_requires
Recommends:     %{name}-lang

%description
Birdie is a beautiful and fast Twitter client designed for Elementary OS.

%lang_package

%prep
%setup -q

%build
%cmake
make %{?_smp_mflags}

%install
%cmake_install
%find_lang %{name}

%post
%glib2_gsettings_schema_post
%icon_theme_cache_post
%desktop_database_post

%postun
%glib2_gsettings_schema_postun
%icon_theme_cache_postun
%desktop_database_postun

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%dir %{_datadir}/appdata
%dir %{_datadir}/indicators
%dir %{_datadir}/indicators/messages
%dir %{_datadir}/indicators/messages/applications
%{_datadir}/glib-2.0/schemas/org.birdieapp.birdie.gschema.xml
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/indicators/messages/applications/birdie

%files lang -f %{name}.lang

%changelog
* Sun May  1 2016 mailaender@opensuse.org
- initial packaging of version 1.1
